Subject: Re: linux-next: Tree for March 22 (net-sysfs.c)

From: David Miller <[email-masked]>
Date: Mon, 22 Mar 2010 18:05:18 -0700 (PDT)

From: Eric Dumazet <[email-masked]>
Date: Mon, 22 Mar 2010 21:48:42 +0100

> [PATCH net-next-2.6] net: RPS depends on CONFIG_SYSFS
> 
> Randy Dunlap found net/core/net-sysfs.c could not compile if
> CONFIG_SYSFS=n
> 
> Defines CONFIG_RPS in net/Kconfig to let user disable RPS if wanted.
> 
> Reported-by: Randy Dunlap <[email-masked]>
> Signed-off-by: Eric Dumazet <[email-masked]>

This is interesting but I'd like to be able to use some
of the RPS infrastructure unconditionally so I'm not ready
to apply something like this yet.

So I'll add Tom's fix for now, thanks Eric!